Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class SLAED9

    java.lang.Object
      org.netlib.lapack.SLAED9

    public class SLAED9

extends java.lang.Object

    SLAED9 is a simplified interface to the JLAPACK routine slaed9.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SLAED9 finds the roots of the secular equation, as defined by the
     *  values in D, Z, and RHO, between KSTART and KSTOP.  It makes the
     *  appropriate calls to SLAED4 and then stores the new matrix of
     *  eigenvectors for use in calculating the next level of Z vectors.
     *
     *  Arguments
     *  =========
     *
     *  K       (input) INTEGER
     *          The number of terms in the rational function to be solved by

     *          SLAED4.  K >= 0.
     *
     *  KSTART  (input) INTEGER
     *  KSTOP   (input) INTEGER
     *          The updated eigenvalues Lambda(I), KSTART <= I <= KSTOP
     *          are to be computed.  1 <= KSTART <= KSTOP <= K.
     *
     *  N       (input) INTEGER
     *          The number of rows and columns in the Q matrix.
     *          N >= K (delation may result in N > K).
     *
     *  D       (output) REAL array, dimension (N)
     *          D(I) contains the updated eigenvalues
     *          for KSTART <= I <= KSTOP.
     *
     *  Q       (workspace) REAL array, dimension (LDQ,N)
     *
     *  LDQ     (input) INTEGER
     *          The leading dimension of the array Q.  LDQ >= max( 1, N ).
     *
     *  RHO     (input) REAL
     *          The value of the parameter in the rank one update equation.
     *          RHO >= 0 required.
     *
     *  DLAMDA  (input) REAL array, dimension (K)
     *          The first K elements of this array contain the old roots
     *          of the deflated updating problem.  These are the poles
     *          of the secular equation.
     *
     *  W       (input) REAL array, dimension (K)
     *          The first K elements of this array contain the components
     *          of the deflation-adjusted updating vector.
     *
     *  S       (output) REAL array, dimension (LDS, K)
     *          Will contain the eigenvectors of the repaired matrix which
     *          will be stored for subsequent Z vector calculation and
     *          multiplied by the previously accumulated eigenvectors
     *          to update the system.
     *
     *  LDS     (input) INTEGER
     *          The leading dimension of S.  LDS >= max( 1, K ).
     *
     *  INFO    (output) INTEGER
     *          = 0:  successful exit.
     *          < 0:  if INFO = -i, the i-th argument had an illegal value.
     *          > 0:  if INFO = 1, an eigenvalue did not converge
     *
     *  Further Details
     *  ===============
     *
     *  Based on contributions by
     *     Jeff Rutter, Computer Science Division, University of California
     *     at Berkeley, USA
     *
     *  =====================================================================
     *
     *     .. Local Scalars ..

Constructor Summary
`SLAED9()`

Method Summary
`static void` | `SLAED9(int k, int kstart, int kstop, int n, float[] d, float[][] q, float rho, float[] dlamda, float[] w, float[][] s, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SLAED9

    public SLAED9()

Method Detail

### SLAED9

    public static void SLAED9(int k,
                              int kstart,
                              int kstop,
                              int n,
                              float[] d,
                              float[][] q,
                              float rho,
                              float[] dlamda,
                              float[] w,
                              float[][] s,
                              intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD